- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# QGraphicsSceneContextMenuEvent Class Reference

Search for all occurrences

## Detailed Description

Definition at line 166 of file qgraphicssceneevent.h.

`#include <qgraphicssceneevent.h>`

Inheritance diagram for QGraphicsSceneContextMenuEvent:
[legend]

List of all members.

## Public Types
enum | Reason { Mouse, Keyboard, Other }
## Public Member Functions
| QGraphicsSceneContextMenuEvent (Type type=None)
| ~QGraphicsSceneContextMenuEvent ()
QPointF | pos () const
void | setPos (const QPointF &pos)
QPointF | scenePos () const
void | setScenePos (const QPointF &pos)
QPoint | screenPos () const
void | setScreenPos (const QPoint &pos)
Qt::KeyboardModifiers | modifiers () const
void | setModifiers (Qt::KeyboardModifiers modifiers)
Reason | reason () const
void | setReason (Reason reason)

## Member Enumeration Documentation

enum Reason

Search for all occurrences

Enumerator:

  Mouse | Search for all occurrences
  Keyboard | Search for all occurrences
  Other | Search for all occurrences

Definition at line 169 of file qgraphicssceneevent.h.

    { Mouse, Keyboard, Other };

## Constructor & Destructor Documentation

QGraphicsSceneContextMenuEvent | ( | Type | type = `None` | ) |

~QGraphicsSceneContextMenuEvent | ( |  | ) |

## Member Function Documentation

QPointF pos | ( |  | ) | const

Search for all occurrences

void setPos | ( | const QPointF & | pos | ) |

Search for all occurrences

QPointF scenePos | ( |  | ) | const

Search for all occurrences

void setScenePos | ( | const QPointF & | pos | ) |

Search for all occurrences

QPoint screenPos | ( |  | ) | const

Search for all occurrences

void setScreenPos | ( | const QPoint & | pos | ) |

Search for all occurrences

Qt::KeyboardModifiers modifiers | ( |  | ) | const

Search for all occurrences

void setModifiers | ( | Qt::KeyboardModifiers | modifiers | ) |

Search for all occurrences

Reason reason | ( |  | ) | const

Search for all occurrences

void setReason | ( | Reason | reason | ) |

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qgraphicssceneevent.h

QGraphicsSceneContextMenuEvent QGraphicsSceneContextMenuEvent QGraphicsSceneContextMenuEvent QGraphicsSceneContextMenuEvent QGraphicsSceneContextMenuEvent QGraphicsSceneContextMenuEvent QGraphicsSceneContextMenuEvent QGraphicsSceneContextMenuEvent QGraphicsSceneContextMenuEvent QGraphicsSceneContextMenuEvent
QGraphicsSceneContextMenuEvent QGraphicsSceneContextMenuEvent QGraphicsSceneContextMenuEvent QGraphicsSceneContextMenuEvent QGraphicsSceneContextMenuEvent QGraphicsSceneContextMenuEvent QGraphicsSceneContextMenuEvent QGraphicsSceneContextMenuEvent QGraphicsSceneContextMenuEvent QGraphicsSceneContextMenuEvent